[Previous] [Next] [Contents]

## `PART::Diagonal2Part` -- partition from a list of diagonals

#### Call(s)

`PART::Diagonal2Part(diago)`

#### Parameters

`diago` | - | a list with two components

#### Introduction

The `PART::Diagonal2Part` function takes a list `[v,pos]` as argument, where `v` is a list (lengths of the successive diagonals of the diagram of part) and `pos` an integer (position of the main diagonal), and returns the partition `part` such that `Part2Diagonal(part) = [v,pos]`.

#### Example 1

    >> muEC::PART::Diagonal2Part( [[1,1,2,2,3,3,2,1,1,1], 5] );

                                  [6, 4, 4, 2, 1]

#### Related Functions

`Part2Diagonal`, `Part2Border`, `Part2Conjugate`, `Part2Mat`, `TYP::IsDiagonal`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package